summaryrefslogtreecommitdiff
path: root/lib/tevent/autogen.sh
diff options
context:
space:
mode:
authorStefan Metzmacher <metze@samba.org>2008-12-16 16:10:22 +0100
committerStefan Metzmacher <metze@samba.org>2008-12-17 13:31:28 +0100
commit504f8816e3058b9358a18ef42e442753fe2657ba (patch)
treec2e50faf775bfb44fcb5c9fa923402f5c07c99ad /lib/tevent/autogen.sh
parent09e6dfb8e8d1447306951e34e4e2211037edb9be (diff)
downloadsamba-504f8816e3058b9358a18ef42e442753fe2657ba.tar.gz
samba-504f8816e3058b9358a18ef42e442753fe2657ba.tar.bz2
samba-504f8816e3058b9358a18ef42e442753fe2657ba.zip
s4:lib/events: move to toplevel directory as lib/tevent/
This commit will not compile on its own. metze
Diffstat (limited to 'lib/tevent/autogen.sh')
-rwxr-xr-xlib/tevent/autogen.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/lib/tevent/autogen.sh b/lib/tevent/autogen.sh
new file mode 100755
index 0000000000..fec05f54d4
--- /dev/null
+++ b/lib/tevent/autogen.sh
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+rm -rf autom4te.cache
+rm -f configure config.h.in
+
+IPATHS="-I libreplace -I lib/replace -I ../libreplace -I ../replace -I ../../../lib/replace"
+autoconf $IPATHS || exit 1
+autoheader $IPATHS || exit 1
+
+rm -rf autom4te.cache
+
+swig -O -Wall -python -keyword events.i # Ignore errors for now
+
+echo "Now run ./configure and then make."
+exit 0
+